## org.apache.xerces.xs
Interface XSModelGroupDefinition

All Superinterfaces:
  XSObject

public interface XSModelGroupDefinition
extends XSObject

This interface represents the Model Group Definition schema component.

Method Summary
`XSAnnotation` `getAnnotation()` An annotation if it exists, otherwise `null`.
`XSObjectList` `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`XSModelGroup` `getModelGroup()` A model group.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getModelGroup

    public XSModelGroup getModelGroup()

  A model group.

### getAnnotation

    public XSAnnotation getAnnotation()

  An annotation if it exists, otherwise `null`. If not null then the first [annotation] from the sequence of annotations.

### getAnnotations

    public XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.